package remote

import (
	"log"

	"git.cryptic.systems/fh-trier/go-flucky/pkg/remote"
	"github.com/spf13/cobra"
)

var disableRemoteCmd = &cobra.Command{
	Use:   "disable",
	Short: "Disable Remove Server",
	Args:  cobra.ExactArgs(1),
	Run: func(cmd *cobra.Command, args []string) {

		if err := remote.Disable(args[0], configDir); err != nil {
			log.Fatal(err)
		}
	},
}

func init() {
	remoteCmd.AddCommand(disableRemoteCmd)
}
