package remote

import (
	"log"
	"os"

	"git.cryptic.systems/fh-trier/go-flucky/pkg/remote"
	"github.com/spf13/cobra"
)

var listRemoteCmd = &cobra.Command{
	Use:   "list",
	Short: "List Remove Servers",
	Run: func(cmd *cobra.Command, args []string) {

		if err := remote.List(os.Stdout, configDir); err != nil {
			log.Fatal(err)
		}
	},
}

func init() {
	remoteCmd.AddCommand(listRemoteCmd)
}
