package sensor

import (
	"git.cryptic.systems/fh-trier/go-flucky/cmd/sensor/temperature"
	"github.com/spf13/cobra"
)

var configDir string

var sensorCmd = &cobra.Command{
	Use:   "sensor",
	Short: "Manage Sensors",
}

// Execute a
func InitCmd(cmd *cobra.Command, cnf string) {
	configDir = cnf

	cmd.AddCommand(sensorCmd)

	temperature.InitCmd(sensorCmd, cnf)

}
