package temperature

import (
	"log"

	"git.cryptic.systems/fh-trier/go-flucky/pkg/temperature"
	"github.com/spf13/cobra"
)

var pushTemperatureCmd = &cobra.Command{
	Use:   "push",
	Short: "push temperature from sensor to remote servers",
	Args:  cobra.ExactArgs(1),
	Run: func(cmd *cobra.Command, args []string) {

		if err := temperature.Push(args[0], configDir); err != nil {
			log.Fatal(err)
		}
	},
}

func init() {
	temperatureCmd.AddCommand(pushTemperatureCmd)
}
